View Issue Details

IDProjectCategoryView StatusLast Update
0001481SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.11 
Target Version3.5.12Fixed in Version3.5.12 
Summary0001481: Updates and Deletes can fail when a transform exists that have PKs where the source and target column names are different
DescriptionUpdates and Deletes can fail when a transform exists that have PKs where the source and target column names are different
TagsNo tags attached.

Activities

chenson

2013-12-05 20:43

administrator   ~0000400

Caused by http://www.symmetricds.org/issues/view.php?id=1395

Related Changesets

SymmetricDS: master ece7ec0a

2013-12-05 20:45:27

chenson

Details Diff
0001481: Updates and Deletes can fail when a transform exists that have PKs where the source and target column names are different
0001481
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformedData.java Diff File

SymmetricDS: master b13c9fcd

2013-12-06 08:25:16

chenson

Details Diff
0001481: Updates and Deletes can fail when a transform exists that have PKs where the source and target column names are different. Added Test
0001481
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/TransformationTest.java Diff File
add - symmetric-server/src/test/resources/org/jumpmind/symmetric/test/TransformationTest.csv Diff File

SymmetricDS: master c22faab4

2013-12-06 16:21:51

chenson

Details Diff
0001481: Updates and Deletes can fail when a transform exists that have PKs where the source and target column names are different. Fix unit test.
0001481
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/TransformationTest.java Diff File

Issue History

Date Modified Username Field Change
2013-12-05 19:30 chenson New Issue
2013-12-05 19:30 chenson Status new => assigned
2013-12-05 19:30 chenson Assigned To => chenson
2013-12-05 20:43 chenson Note Added: 0000400
2013-12-07 09:34 chenson Status assigned => resolved
2013-12-07 09:34 chenson Fixed in Version => 3.5.12
2013-12-07 09:34 chenson Resolution open => fixed
2013-12-18 10:55 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7790
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7791
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7794
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master c22faab4
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master b13c9fcd
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master ece7ec0a